Rensei docs

Edit, change status, restore, or promote a Cedar policy version.

Edit, change status, restore, or promote a Cedar policy version. - Rensei REST API operation reference.

PUT
/api/policies/{id}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

id*string

The policy id.

Request Body

application/json
  1. body
operation?string
Value in"edit""set_status""restore""promote_version"
name?string
description?string|null
cedarPolicy?string
scope?string
Value in"workspace""project"
scopeId?string|null
status?string
Value in"active""draft"
regulatoryTags?array<string>
metadata?
changeReason?string
Lengthlength <= 500
targetVersion?integer
Range0 < value <= 9007199254740991

Response Body

Policy lifecycle mutation applied.

application/json
  1. response
policy*
Example Request
curl -X PUT 'https://app.rensei.ai/api/policies/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "policy": {    "id": "string",    "workspaceId": "string",    "name": "string",    "description": "string",    "cedarPolicy": "string",    "scope": "string",    "scopeId": "string",    "status": "string",    "version": 0,    "regulatoryTags": [      "string"    ],    "metadata": {      "property1": null,      "property2": null    },    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string"  }}